Bug 112291 - deleted pre-edit buffer text reappearing with CannaLE
Summary: deleted pre-edit buffer text reappearing with CannaLE
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-17 06:36 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-25 00:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (432 bytes, patch)
2004-02-24 09:27 UTC, Akira TAGOH
no flags Details | Diff

Description Jens Petersen 2003-12-17 06:36:37 UTC
Description of problem:
When using CannaLE (through XIM) text, that has deleted from the
pre-edit buffer, re-appears the next time canna mode is entered.

Version-Release number of selected component (if applicable):
im-sdk-11_4-2.1

How reproducible:
every time

Steps to Reproduce:
1. LANG=ja_JP.UTF-8 /usr/lib/im/htt &
2. LANG=ja_JP.UTF-8 /usr/lib/im/httx &
3. export XMODIFIERS=@im=htt
4. gedit
5. Button 3 popup menu -> Input Method -> XIM
6. Ctrl-Space
7. Type "a", "s", "a", Delete and Delete.
8. Ctrl-Space
 
Actual results:
The hiragana "asa" is inserted into the buffer anyway

Expected results:
The deleted text should not be inserted into the buffer.

Additional info:
This doesn't seem to happen with newpy afaict.

Comment 1 Jens Petersen 2003-12-17 06:38:24 UTC
Sorry, the initial description I gave was inaccurate:
the deleted text reappears when leaving canna (ja) mode
not when entering it.

Comment 2 Jens Petersen 2004-02-10 07:16:52 UTC
This no longer seems to happen with recent package version.
Though currently pre-edit delete isn't working at all of course.


Comment 3 Akira TAGOH 2004-02-24 09:27:22 UTC
Created attachment 97978 [details]
proposed patch

This problem should be fixed against this patch. please try and let me know.

Comment 4 Akira TAGOH 2004-02-24 09:54:13 UTC
Please try 11.4-16, which will be available soon on rawhide.

Comment 5 Jens Petersen 2004-02-25 00:33:52 UTC
Thanks, much better now.


Note You need to log in before you can comment on or make changes to this bug.